## firefox-esr 128.3.0esr

=== debian/changelog ===
firefox-esr (128.3.0esr-1~deb11u2) bullseye-security; urgency=medium

  * Skip dwz for libfreeblpriv, which is causing FTBFS on arm64.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 08 Oct 2024 12:51:04 +0200

firefox-esr (128.3.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 04 Oct 2024 10:56:19 +0200

firefox-esr (128.3.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-47, also known as:
    CVE-2024-9392, CVE-2024-9393, CVE-2024-9394, CVE-2024-8900,
    CVE-2024-9396, CVE-2024-9397, CVE-2024-9398, CVE-2024-9399,
    CVE-2024-9400, CVE-2024-9401, CVE-2024-9402.

  * debian/control.in: Use rustc-web and cbindgen-web on bookworm and bullseye.
  * debian/control.in, debian/rules: Use gcc-11 on bookworm, working around
    #1056561.
  * debian/browser.mozconfig.in, debian/browser.preinst.in, debian/control.in,
    debian/l10n/browser-l10n.control, debian/l10n/browser-l10n.control.in,
    debian/l10n/gen, debian/rules, debian/upstream.mk: Remove support for
    buster.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Oct 2024 07:53:32 +0900

firefox-esr (128.2.0esr-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-40, also known as:
    CVE-2024-8385, CVE-2024-8381, CVE-2024-8382, CVE-2024-8383,
    CVE-2024-8384, CVE-2024-8386, CVE-2024-8387.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 Sep 2024 06:29:13 +0900

firefox-esr (128.1.0esr-1) UNRELEASED; urgency=medium

  * Fixes for mfsa2024-35, also known as:
    CVE-2024-7518, CVE-2024-7519, CVE-2024-7520, CVE-2024-7521,
    CVE-2024-7522, CVE-2024-7524, CVE-2024-7525, CVE-2024-7526,
    CVE-2024-7527, CVE-2024-7528, CVE-2024-7529, CVE-2024-7531.

 -- Mike Hommey <glandium@debian.org>  Wed, 07 Aug 2024 07:35:48 +0900

firefox (128.0.3-1) unstable; urgency=medium

  * New upstream release.

  * gfx/cairo/libpixman/src/pixman-arm-simd-asm.S: Adjust arm assembly for
    binutils change.

 -- Mike Hommey <glandium@debian.org>  Sat, 27 Jul 2024 04:55:38 +0900

firefox (128.0.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/extra-stuff/*:
    - Remove plugin information from reportbug script output. NPAPI plugin
      support was removed a while ago.
    - Convert addonsInfo to an ES module. Closes: #1076240.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Jul 2024 05:21:48 +0900

firefox (128.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-29, also known as:
    CVE-2024-6605, CVE-2024-6606, CVE-2024-6607, CVE-2024-6608,
    CVE-2024-6609, CVE-2024-6610, CVE-2024-6600, CVE-2024-6601,
    CVE-2024-6602, CVE-2024-6603, CVE-2024-6611, CVE-2024-6612,
    CVE-2024-6613, CVE-2024-6614, CVE-2024-6604, CVE-2024-6615.

  * debian/control*: Bump nss, rustc, cargo and python3 build dependencies.
  * debian/control, debian/l10n/browser-l10n.control: Refreshed to include new
    locale.

 -- Mike Hommey <glandium@debian.org>  Wed, 10 Jul 2024 06:25:33 +0900

firefox (127.0.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/repack.py, debian/upstream.mk: Handle the upstream l10n migration
    to github.

 -- Mike Hommey <glandium@debian.org>  Wed, 26 Jun 2024 05:19:57 +0900

firefox (127.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Thu, 20 Jun 2024 05:42:59 +0900

firefox (127.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-25, also known as:
    CVE-2024-5688, CVE-2024-5689, CVE-2024-5690, CVE-2024-5691,
    CVE-2024-5693, CVE-2024-5694, CVE-2024-5695, CVE-2024-5696,
    CVE-2024-5697, CVE-2024-5698, CVE-2024-5699, CVE-2024-5700,
    CVE-2024-5701.

  * debian/control*: Bump rustc, cargo and nss build dependencies.

  * python/mozboot/mozboot/util.py,
    third_party/rust/neqo-common/.cargo-checksum.json,
    third_party/rust/neqo-common/Cargo.toml,
    third_party/rust/neqo-crypto/.cargo-checksum.json,
    third_party/rust/neqo-crypto/Cargo.toml,
    third_party/rust/neqo-crypto/src/agentio.rs,
    third_party/rust/neqo-http3/.cargo-checksum.json,
    third_party/rust/neqo-http3/Cargo.toml,
    third_party/rust/neqo-qpack/.cargo-checksum.json,
    third_party/rust/neqo-qpack/Cargo.toml,
    third_party/rust/neqo-transport/.cargo-checksum.json,
    third_party/rust/neqo-transport/Cargo.toml: Relax minimum supported
    rust version to 1.75

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Jun 2024 06:09:08 +0900

firefox (126.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 29 May 2024 05:31:51 +0900

firefox (126.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-21, also known as:
    CVE-2024-4764, CVE-2024-4367, CVE-2024-4767, CVE-2024-4768,
    CVE-2024-4769, CVE-2024-4770, CVE-2024-4771, CVE-2024-4772,
    CVE-2024-4773, CVE-2024-4774, CVE-2024-4775, CVE-2024-4776,
    CVE-2024-4777, CVE-2024-4778.

  * debian/browser.install.in: Don't install now removed crashreporter
    files.

  * third_party/rust/bumpalo/.cargo-checksum.json,
    third_party/rust/bumpalo/Cargo.toml,
    third_party/rust/naga/.cargo-checksum.json,
    third_party/rust/naga/Cargo.toml,
    third_party/rust/wgpu-core/.cargo-checksum.json,
    third_party/rust/wgpu-core/Cargo.toml,
    third_party/rust/wgpu-core/src/snatch.rs,
    third_party/rust/wgpu-hal/.cargo-checksum.json,
    third_party/rust/wgpu-hal/Cargo.toml,
    third_party/rust/wgpu-types/.cargo-checksum.json,
    third_party/rust/wgpu-types/Cargo.toml: Relax minimum supported rust
    version to 1.70.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 May 2024 06:46:24 +0900

firefox (125.0.3-1) unstable; urgency=medium

  * New upstream release.

  * debian/rules: Avoid conflicting initializations of the mozbuild state
    directory.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 May 2024 11:43:16 +0900


