## firefox-esr 128.3.1esr

=== debian/changelog ===
firefox-esr (128.3.1esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-51, also known as CVE-2024-9680.

  * js/src/jit/mips-shared/MacroAssembler-mips-shared-inl.h,
    js/src/jit/mips-shared/MacroAssembler-mips-shared.cpp,
    js/src/jit/mips-shared/MacroAssembler-mips-shared.h,
    js/src/jit/mips64/MacroAssembler-mips64.cpp,
    js/src/jit/mips64/MacroAssembler-mips64.h,
    js/src/wasm/WasmGenerator.cpp, js/src/wasm/WasmSummarizeInsn.cpp: Fix
    FTBFS on mipsel64. bz#1855960.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Oct 2024 06:42:03 +0900
