## firefox-esr 128.4.0esr

=== debian/changelog ===
firefox-esr (128.4.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 30 Oct 2024 11:40:34 +0100

firefox-esr (128.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-56, also known as:
    CVE-2024-10458, CVE-2024-10459, CVE-2024-10460, CVE-2024-10461,
    CVE-2024-10462, CVE-2024-10463, CVE-2024-10464, CVE-2024-10465,
    CVE-2024-10466, CVE-2024-10467.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Oct 2024 06:15:11 +0900

firefox-esr (128.3.1esr-1~deb11u1) bullseye-security; urgency=medium

  [ Mike Hommey ]
  * debian/rules: Exclude -g from CXXFLAGS too. It's handled by the upstream
    build system, and leaving it there breaks the build on 32-bits platforms
    because the debug info is just too large to handle for the address space.
    That's how it was before the changes in 128.3.1esr-1 anyways.

  [ Emilio Pozuelo Monfort ]
  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 10 Oct 2024 19:08:21 +0200

firefox-esr (128.3.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-51, also known as CVE-2024-9680.

  * debian/rules: Get CXXFLAGS from dpkg-buildflags directly instead of
    deriving it from CFLAGS.
  * debian/control*: Remove build dependency on yasm.
  * debian/browser.lintian-overrides.in: Adjust lintian overrides for
    the lintian version in unstable.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Oct 2024 05:46:02 +0900

firefox-esr (128.3.0esr-2) unstable; urgency=medium

  * debian/watch: Refreshed for firefox-esr.
  * debian/rules:
    - Fixed manual page header for firefox-esr.
    - Use a single virtualenv for preprocessing and build.
  * debian/iceweasel.*: Remove the remaining iceweasel files.
  * debian/control*:
    - Remove unnecessary dependency on autotools-dev.
    - Remove explicit dependency on dpkg-dev.
    - Remove Breaks: xul-ext-torbutton. The package was removed in bug
      #796316, 9 years ago.
  * debian/browser.lintian-overrides.in: Updated.
  * debian/source/lintian-overrides: Updated.
  * debian/copyright: Updated.

  * js/src/jit/mips-shared/MacroAssembler-mips-shared-inl.h,
    js/src/jit/mips-shared/MacroAssembler-mips-shared.cpp,
    js/src/jit/mips-shared/MacroAssembler-mips-shared.h,
    js/src/jit/mips64/MacroAssembler-mips64.cpp,
    js/src/jit/mips64/MacroAssembler-mips64.h,
    js/src/wasm/WasmGenerator.cpp, js/src/wasm/WasmSummarizeInsn.cpp: Fix
    FTBFS on mipsel64. bz#1855960.

 -- Mike Hommey <glandium@debian.org>  Sat, 05 Oct 2024 11:11:02 +0900
