=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: autotools-dev,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
                libx11-dev,
                libx11-xcb-dev,
                libxt-dev,
@@ -16,13 +15,11 @@
                zlib1g-dev,
                libreadline-dev,
                python3 (>= 3.8),
-               dpkg-dev,
                libdbus-glib-1-dev,
                libffi-dev,
                libevent-dev,
                libpulse-dev,
                libasound2-dev,
-               yasm,
                nasm (>= 2.14) [amd64 i386],
                rustc-web (>= 1.76),
                cargo-web (>= 1.76),
@@ -62,7 +59,6 @@
           libgssapi-krb5-2 | libkrb53,
           libcanberra0,
           pulseaudio
-Breaks: xul-ext-torbutton
 Provides: www-browser,
           gnome-www-browser
 Description: Mozilla Firefox web browser - Extended Support Release (ESR)
@@ -262,3 +258,6 @@
 Depends: ${misc:Depends},
          firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
 Description: Welsh language package for Firefox ESR
+ Firefox ESR is a powerful, extensible web browser with support for modern
+ web application technologies.
+ .
