=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 include debian/make.mk
 # Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
 # via configure options.
-dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
+dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
 $(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
+$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
 $(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
 $(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))
 
@@ -68,7 +69,7 @@
 $(PRODUCT) := $(call lc,$(PRODUCT_NAME))
 uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
 DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
-$(call uc,$(PRODUCT)) := $(call uc,$(DISPLAY_NAME))
+$(call uc,$(PRODUCT)) := $(call uc,$($(PRODUCT)))
 Product := $(call uc_first,$(PRODUCT))
 $(Product) := $(DISPLAY_NAME)
 
@@ -143,7 +144,6 @@
 CONFIGURE_FLAGS += --disable-jit
 endif
 
-CXXFLAGS := $(CFLAGS)
 # Work around https://sourceware.org/bugzilla/show_bug.cgi?id=30578
 ifneq (,$(filter trixie,$(DIST)))
 ifneq (,$(filter amd64,$(DEB_HOST_ARCH)))
@@ -179,12 +179,12 @@
 
 $(PREPROCESSED_FILES): stamps/mozbuild-state
 stamps/mozbuild-state::
-	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python -c ""
+	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build -c ""
 
 $(PREPROCESSED_FILES): VARS = GRE_VERSION PRODUCT_DOWNLOAD_NAME $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST MOZ_ENABLE_V4L2 CRASH_REPORTER DEB_HOST_ARCH
 debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
 $(PREPROCESSED_FILES):
-	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@
+	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@
 
 override_dh_auto_configure:
 
@@ -204,8 +204,3 @@
 			sub(/\/[^\/]*$$/, "", dir); \
 			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
 			cmd | getline value; \
-			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
-		} \
-	} \
-	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig
-
