## firefox-esr 128.5.0esr

=== debian/changelog ===
firefox-esr (128.5.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-64, also known as:
    CVE-2024-11691, CVE-2024-11692, CVE-2024-11694, CVE-2024-11695,
    CVE-2024-11696, CVE-2024-11697, CVE-2024-11699.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Nov 2024 09:12:42 +0900

firefox-esr (128.4.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-56, also known as:
    CVE-2024-10458, CVE-2024-10459, CVE-2024-10460, CVE-2024-10461,
    CVE-2024-10462, CVE-2024-10463, CVE-2024-10464, CVE-2024-10465,
    CVE-2024-10466, CVE-2024-10467.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Oct 2024 06:15:11 +0900
