## firefox-esr 128.6.0esr

=== debian/changelog ===
firefox-esr (128.6.0esr-1~deb11u3) bullseye-security; urgency=medium

  * Fix rule to select the appropriate compiler, which broke for older
    suites in 128.5.1esr-1.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 10 Jan 2025 19:38:46 +0100

firefox-esr (128.6.0esr-1~deb11u2) bullseye-security; urgency=medium

  * Disable dwz, it causes build failures on various architectures in some
    updates, requiring two uploads to -security.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 10 Jan 2025 13:38:41 +0100

firefox-esr (128.6.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 09 Jan 2025 08:40:16 +0100

firefox-esr (128.6.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-02, also known as:
    CVE-2025-0237, CVE-2025-0238, CVE-2025-0239, CVE-2025-0240,
    CVE-2025-0241, CVE-2025-0242, CVE-2025-0243.

 -- Mike Hommey <glandium@debian.org>  Wed, 08 Jan 2025 05:45:21 +0900

firefox-esr (128.5.1esr-1) unstable; urgency=medium

  * New upstream release.

  * debian/rules: Switch to clang as the compiler for trixie.

  * python/mach/mach/site.py: Fix virtual environment sysconfig path
    calculation. bz#1935621.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Dec 2024 08:52:21 +0900

firefox-esr (128.5.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 Nov 2024 09:38:11 +0100

firefox-esr (128.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-64, also known as:
    CVE-2024-11691, CVE-2024-11692, CVE-2024-11694, CVE-2024-11695,
    CVE-2024-11696, CVE-2024-11697, CVE-2024-11699.

  * debian/control*: Build depend on libdbus-1-dev rather than
    libdbus-glib-1-dev. Closes: #955891.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Nov 2024 09:12:42 +0900
