=== debian/rules ===
--- 
+++ 
@@ -98,6 +98,50 @@
 	CONFIGURE_FLAGS += --disable-debug-symbols
 endif
 
+CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	CONFIGURE_FLAGS += --disable-optimize
+endif
+
+ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
+	CONFIGURE_FLAGS += --enable-debug
+endif
+ifneq (,$(filter armel armhf arm64 riscv64,$(DEB_HOST_ARCH)))
+	MOZ_ENABLE_V4L2 = 1
+endif
+ifneq (,$(filter i386 amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
+	CRASH_REPORTER = 1
+endif
+ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
+	CONFIGURE_FLAGS += --disable-webrtc
+endif
+
+ifeq (default,$(origin CC))
+ifeq (,$(filter $(DIST),bullseye bookworm))
+CC := clang
+else
+ifeq ($(DIST),bookworm)
+CC := gcc-11
+else
+CC := gcc
+endif
+endif
+endif
+ifeq (default,$(origin CXX))
+ifeq (,$(filter $(DIST),bullseye bookworm))
+CXX := clang++
+else
+ifeq ($(DIST),bookworm)
+CXX := g++-11
+else
+CXX := g++
+endif
+endif
+endif
+
+# When using clang, the build system uses ld.lld instead of BFD ld.
+ifeq (,$(findstring clang,$(CC)))
 # Reduce memory usage of the linker at the expense of processing time
 # This should help on lower-end architectures like arm and mips, which
 # spend an immense amount of time swapping.
@@ -106,39 +150,9 @@
 ifeq (,$(filter i386 amd64 ppc64%,$(DEB_HOST_ARCH)))
 LDFLAGS += -Wl,--no-keep-memory
 endif
+endif
 # Also add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
-
-CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CONFIGURE_FLAGS += --disable-optimize
-endif
-
-ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
-	CONFIGURE_FLAGS += --enable-debug
-endif
-ifneq (,$(filter armel armhf arm64 riscv64,$(DEB_HOST_ARCH)))
-	MOZ_ENABLE_V4L2 = 1
-endif
-ifneq (,$(filter i386 amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
-	CRASH_REPORTER = 1
-endif
-ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
-	CONFIGURE_FLAGS += --disable-webrtc
-endif
-
-ifeq (default,$(origin CC))
-CC := gcc
-endif
-ifeq (default,$(origin CXX))
-CXX := g++
-endif
-
-ifeq ($(DIST),bookworm)
-CC := gcc-11
-CXX := g++-11
-endif
 
 ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
 CONFIGURE_FLAGS += --disable-jit
@@ -198,9 +212,3 @@
 			print FILENAME ": Missing variable for",$$1; \
 			error=1; \
 		} else { \
-			split($$2,var,"="); \
-			cmd = "grep -l " var[1] " " confs; \
-			cmd | getline dir; \
-			sub(/\/[^\/]*$$/, "", dir); \
-			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
-			cmd | getline value; \
