## firefox-esr 128.7.0esr

=== debian/changelog ===
firefox-esr (128.7.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Feb 2025 21:23:02 +0100

firefox-esr (128.7.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-09, also known as:
    CVE-2025-1009, CVE-2025-1010, CVE-2025-1011, CVE-2025-1012,
    CVE-2025-1013, CVE-2025-1014, CVE-2025-1016, CVE-2025-1017.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Feb 2025 06:07:22 +0900

firefox-esr (128.6.0esr-4) unstable; urgency=medium

  * third_party/wasm2c/src/prebuilt/wasm2c_simd_source_declarations.cc,
    third_party/wasm2c/src/prebuilt/wasm2c_source_declarations.cc: Apply
    wasm2c upstream fix for clang targetting mips.

 -- Mike Hommey <glandium@debian.org>  Wed, 22 Jan 2025 13:04:22 +0900

firefox-esr (128.6.0esr-3) unstable; urgency=medium

  * gfx/ycbcr/yuv_convert_arm.cpp: Move the .fpu neon directive around.

 -- Mike Hommey <glandium@debian.org>  Wed, 22 Jan 2025 08:04:23 +0900

firefox-esr (128.6.0esr-2) unstable; urgency=medium

  * debian/rules:
    - Properly enable clang only on trixie. Thanks David Turner.
    - Revert work around for some binutils change. Upstream has had a fix for
      it for a while now.

  * gfx/cairo/libpixman/src/moz.build: Don't use clang clang's integrated
    assembler to compile pixman ARM neon code.

 -- Mike Hommey <glandium@debian.org>  Tue, 21 Jan 2025 14:38:38 +0900
