=== debian/rules ===
--- 
+++ 
@@ -118,7 +118,7 @@
 endif
 
 ifeq (default,$(origin CC))
-ifeq (,$(filter $(DIST),bullseye bookworm))
+ifneq (,$(filter-out bullseye bookworm,$(DIST)))
 CC := clang
 else
 ifeq ($(DIST),bookworm)
@@ -129,7 +129,7 @@
 endif
 endif
 ifeq (default,$(origin CXX))
-ifeq (,$(filter $(DIST),bullseye bookworm))
+ifneq (,$(filter-out bullseye bookworm,$(DIST)))
 CXX := clang++
 else
 ifeq ($(DIST),bookworm)
@@ -158,12 +158,6 @@
 CONFIGURE_FLAGS += --disable-jit
 endif
 
-# Work around https://sourceware.org/bugzilla/show_bug.cgi?id=30578
-ifneq (,$(filter trixie,$(DIST)))
-ifneq (,$(filter amd64,$(DEB_HOST_ARCH)))
-CFLAGS += -DFFMPEG_DISABLE_INLINE_ASM
-endif
-endif
 RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.
 
 EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL RUSTFLAGS
@@ -212,3 +206,8 @@
 			print FILENAME ": Missing variable for",$$1; \
 			error=1; \
 		} else { \
+			split($$2,var,"="); \
+			cmd = "grep -l " var[1] " " confs; \
+			cmd | getline dir; \
+			sub(/\/[^\/]*$$/, "", dir); \
+			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
