## firefox-esr 128.8.0esr

=== debian/changelog ===
firefox-esr (128.8.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-16, also known as:
    CVE-2024-43097, CVE-2025-1931, CVE-2025-1932, CVE-2025-1933,
    CVE-2025-1934, CVE-2025-1935, CVE-2025-1936, CVE-2025-1937,
    CVE-2025-1938.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Mar 2025 05:39:57 +0900

firefox-esr (128.7.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-09, also known as:
    CVE-2025-1009, CVE-2025-1010, CVE-2025-1011, CVE-2025-1012,
    CVE-2024-11704, CVE-2025-1013, CVE-2025-1014, CVE-2025-1016,
    CVE-2025-1017.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Feb 2025 06:28:04 +0900

firefox-esr (128.6.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-02, also known as:
    CVE-2025-0237, CVE-2025-0238, CVE-2025-0239, CVE-2025-0240,
    CVE-2025-0241, CVE-2025-0242, CVE-2025-0243.

 -- Mike Hommey <glandium@debian.org>  Wed, 08 Jan 2025 05:45:21 +0900
