## firefox-esr 128.9.0esr

=== debian/changelog ===
firefox-esr (128.9.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Apr 2025 09:53:16 +0200

firefox-esr (128.9.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-22, also known as:
    CVE-2025-3028, CVE-2025-3029, CVE-2025-3030.

  * debian/browser.dirs.in, debian/browser.links.in, debian/rules: Move
    desktop icons to /usr/share/icons/hicolor/* and symlink them from
    /usr/lib/$browser/browser/chrome/icons/default. Closes: #1091523.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Apr 2025 05:45:12 +0900

firefox-esr (128.8.0esr-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 05 Mar 2025 10:03:58 +0100

firefox-esr (128.8.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-16, also known as:
    CVE-2024-43097, CVE-2025-1931, CVE-2025-1932, CVE-2025-1933,
    CVE-2025-1934, CVE-2025-1935, CVE-2025-1936, CVE-2025-1937,
    CVE-2025-1938.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Mar 2025 05:39:57 +0900
