## firefox-esr 128.10.0esr

=== debian/changelog ===
firefox-esr (128.10.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-29, also known as:
    CVE-2025-4083, CVE-2025-4087, CVE-2025-4091, CVE-2025-4093.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Apr 2025 07:50:47 +0900

firefox-esr (128.9.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-22, also known as:
    CVE-2025-3028, CVE-2025-3029, CVE-2025-3030.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Apr 2025 05:45:12 +0900
