## firefox-esr 128.10.1esr

=== debian/changelog ===
firefox-esr (128.10.1esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-37, also known as CVE-2025-4920, CVE-2025-4921.

 -- Mike Hommey <glandium@debian.org>  Sun, 18 May 2025 06:41:48 +0900
