## firefox-esr 128.11.0esr

=== debian/changelog ===
firefox-esr (128.11.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-44, also known as:
    CVE-2025-5263, CVE-2025-5264, CVE-2025-5266, CVE-2025-5267,
    CVE-2025-5268, CVE-2025-5269.

 -- Mike Hommey <glandium@debian.org>  Wed, 28 May 2025 10:55:09 +0900

firefox (1.5.dfsg+1.5.0.6-4) u
