## firefox-esr 128.12.0esr

=== debian/changelog ===
firefox-esr (128.12.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-53, also known as:
    CVE-2025-6424, CVE-2025-6425, CVE-2025-6429, CVE-2025-6430.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Jun 2025 06:15:00 +0900
