## firefox-esr 128.13.0esr

=== debian/changelog ===
firefox-esr (128.13.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-58, also known as:
    CVE-2025-8027, CVE-2025-8028, CVE-2025-8029, CVE-2025-8030,
    CVE-2025-8031, CVE-2025-8032, CVE-2025-8033, CVE-2025-8034,
    CVE-2025-8035.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jul 2025 06:18:01 +0900
